Что вы рекомендуете использовать laravel 5.1 или laravel 5.3? [Закрыто]

Я хочу разработать проект с Laravel, и я должен выбрать между Laravel 5.1 и 5.3.

Я хотел бы принять обоснованное решение, но список улучшений в версии 5.3 не помогает мне определить, что я должен выбрать.

Какие аспекты мне следует рассмотреть для моего приложения?

  • Если бы я использовал версию 5.1 в моих первых приложениях, я бы упустил что-то действительно важное?

  • Если я буду использовать версию 5.3, возникнут ли у меня проблемы с совместимостью с другими системами или решениями, которые затруднят мне реализацию?

  • Действительно ли эти изменения так значительны, что Примеры в Интернете / документация, которые могут уже существовать для 5.1, не применимы в Laravel 5.3?

  • Есть ли еще какие-либо важные вопросы, которые вы должны рассмотреть?

0
задан 17.01.2017, 06:52
0 ответов

В проектах обычно используется LTS для, когда тебе нужно, чтобы в производстве у него была достаточно опора, всегда завись от твоей необходимости, в этом случае, если ты нуждаешься в специальной совместимости, использует версию 5.1, в противоположном случае я выбрал бы самую недавнюю, так как он может приносить новые характеристики, которые становились важными в будущем.

Здесь я оставляю тебе ссылку со сходной дискуссией: https://laracasts.com/discuss/channels/laravel/start-a-new-project-should-i-start-with-51-or-5

-1
ответ дан 03.12.2019, 17:39

Если использовал версию 5.1 в моих первых приложениях, я терялся бы чего-то действительно важного?

Он будет зависеть, если новая осуществленная функциональность будет иметь смысл для тебя, есть несколько вещей, что ты "терялся" бы, но ничто, что не мог бы делать ты, или которое они не позволяли бы тебе делать приложение, как ты желал ее.

Если использовал версию 5.3, у него проблемы совместимости были бы с другим системы или решения, которые затрудняли бы мне осуществление?

Не обязательно, пока у тебя были минимальные обязательные условия, которые он просит 5.3, у тебя не были бы должны бы быть проблемы совместимости.

Изменения действительно значительные, как для того, чтобы примеры в Вебе / документации, который уже может существовать для 5.1, он не применился в Laravel 5.3?

Конечно же может быть несовместимость, если ты работаешь с 5.1, прочитай документацию 5.1, не видь другую.

Существует какая-то другая значимая точка, которую он был бы должен иметь в виду?

Версия 5.1 LTS (Лонг Терм Саппорт), опора долгого срока значит, что они продолжат разрабатывать fixes и проблемы безопасности в течение 5 лет. Этот июль 2017 закончил бы LTS и очень вероятно, что версия 5.5 - предстоящий LTS.

Теоретически тогда, версия 5.1 был бы самой стабильной из всех 5. X и это мог бы быть лучший выбор, если твое приложение должно благоприятствовать безопасности и стабильности напротив новой функциональности и возможных вирусов, которые еще не находились бы из-за того, что имел такую недавнюю версию.

0
ответ дан 03.12.2019, 17:39

Теги

Похожие вопросы